%define kversion 2.6.18-8.10AX


Name:      redcastle-pam
Version:   3.0.0
Release:   8.%(echo %{kversion} | tr - _)
Summary:   RedCastle PAM Module

Group:     System Environment/Base
License:   RedCastle License
Vendor:    RedGate Co., Ltd.
Source0:   RedCastle3.tar.gz
NoSource:  0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64 ia64


%ifarch x86_64
%define __prefix_pam_module $RPM_BUILD_ROOT/lib64/security
%else
%define __prefix_pam_module $RPM_BUILD_ROOT/lib/security
%endif


%description
* RedCastle PAM Module

* RedCastle License to Asianux 3.0
RedCastle is Secure OS product developed by REDGATE Co., Ltd.
RedCastle product is provided in two modules:
Basic module is free of charge for use and
Certain license fee will be charged for the Advanced module.
For more informations, see the LICENSE file in /usr/share/redcastle/doc.


%prep


%setup -c
echo


%build
cd RedCastle3/src/pam_acl
make


%install
cd RedCastle3/src/pam_acl
mkdir -p %{__prefix_pam_module}
cp pam_acl.so %{__prefix_pam_module}/pam_acl-%{kversion}.so


%clean
rm -rf $RPM_BUILD_ROOT


%files
/lib*/security/pam_acl-%{kversion}.so


%changelog
* Wed Jun 20 2007 Kity Park <kity@redgate.co.kr>
- Change the rpm name.
  RedCastle-PAM-3.0.0-$rel_num -> redcastle-pam-3.0.0-$rel_num.$kern_ver
